<?php

namespace Drp\JsonApi\Exceptions;

use Exception;
use League\OAuth2\Server\Entities\UserEntityInterface;

class InvalidOAuthUser extends Exception
{
    /**
     * @param mixed $user
     */
    public function __construct($user)
    {
        $message = sprintf(
            'Invalid user given back by auth provider. Given a %s but need a %s.',
            $user ? \get_class($user) : 'null',
            UserEntityInterface::class
        );

        parent::__construct($message);
    }
}
