<?php

namespace Drp\JsonApi\Http\Transformers;

use League\Fractal\TransformerAbstract;
use stdClass;

class TokenTransformer extends TransformerAbstract
{
    public function transform(stdClass $passportResponse): array
    {
        $newAttributes = [
            'id' => (string) $passportResponse->access_token
        ];

        foreach ((array) $passportResponse as $key => $value) {
            $newAttributes[camel_case($key)] = $value;
        }

        return $newAttributes;
    }
}
